#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 cabal-install-parsers
version:              0.4.2
visibility:           public
id:                   cabal-install-parsers-0.4.2-KMhkbWHZ7TtGlqSaGsQlGC
key:                  cabal-install-parsers-0.4.2-KMhkbWHZ7TtGlqSaGsQlGC
license:              GPL-2.0-or-later AND BSD-3-Clause
maintainer:           hvr@gnu.org, oleg.grenrus@iki.fi
author:               Herbert Valerio Riedel, Oleg Grenrus
homepage:             https://haskell-ci.rtfd.org/
synopsis:             Utilities to work with cabal-install files
description:
    @cabal-install-parsers@ provides parsers for @cabal-install@ files:
    @cabal.project@ ("Cabal.Project"),
    @cabal.config@ ("Cabal.Config"),
    @01-index.tar@ ("Cabal.Index");
    as well as some other utilities.

    The feature set is mainly motivated by the needs of @haskell-ci@ package.
    The parsed data is not complete, functionality is added on demand.

category:             Development
abi:                  2523ca08b87f2e749615c45051b1c6b3
exposed:              True
exposed-modules:
    Cabal.Config Cabal.Index Cabal.Optimization Cabal.Package
    Cabal.Parse Cabal.Project Cabal.SourceRepo

hidden-modules:       Cabal.Internal.Glob Cabal.Internal.Newtypes
import-dirs:          /usr/lib/ghc-9.0.2/site-local/cabal-install-parsers-0.4.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/cabal-install-parsers-0.4.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-cabal-install-parsers
hs-libraries:         HScabal-install-parsers-0.4.2-KMhkbWHZ7TtGlqSaGsQlGC
depends:
    Cabal-3.4.1.0 aeson-2.1.2.1-5LFbz27UeRc2IE39j8tZaA base-4.15.1.0
    base16-bytestring-1.0.2.0-FO4uYOZBv783BbExK26Xj2 binary-0.8.8.0
    binary-instances-1.0.3-JRwTBJW4EDQ9GpMxGJnqrf bytestring-0.10.12.1
    containers-0.6.4.1
    cryptohash-sha256-0.11.102.1-2vyVflXT6vOASIHvs4WrGG deepseq-1.4.5.0
    directory-1.3.6.2 filepath-1.4.2.1
    lukko-0.1.1.3-E32bcPZ4aTDC9DAXdciE4K
    network-uri-2.6.4.2-3gMYbGQJlUc8IDbI9FdqX8 parsec-3.1.14.0
    pretty-1.1.3.6 tar-0.5.1.1-A5YtQwZnMI7CS3T5kOReNk text-1.2.5.0
    time-1.9.3 transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-cabal-install-parsers/html/cabal-install-parsers.haddock

haddock-html:         /usr/share/doc/haskell-cabal-install-parsers/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

